> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Advocate

> Retrieve details of a specific advocate by their Reditus ID (UUID) or by their uid (your internal user ID).



## OpenAPI

````yaml GET /v1/advocates/{id}
openapi: 3.1.0
info:
  title: Reditus API - Advocates
  description: API specification for managing advocates in Reditus advocate programs.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/advocates/{id}:
    get:
      summary: Get Advocate
      description: >-
        Retrieve details of a specific advocate by their Reditus ID (UUID) or by
        their uid (your internal user ID).
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: The advocate's Reditus ID (UUID) or your internal user ID (uid)
      responses:
        '200':
          description: Advocate found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdvocateShowResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    AdvocateShowResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdvocateShow'
    AdvocateShow:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            id:
              type: string
            uid:
              type: string
            email:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            slug:
              type: string
            referral_link:
              type: string
            company_id:
              type: string
            company:
              type: string
            created_at:
              type: integer
            leads_count:
              type: integer
            paid_leads_count:
              type: integer
            total_sold:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````